/* defines for cw driver */

#define __KERNEL__
#define MODULE
#define MAXSTRING 1024
#define CW_VERSION "1.4"
#define FREQ 440
#define TICK 8
#define CW_MAJOR 127
#define AUTHOR "Manfred Haertel <Manfred.Haertel@rz-online.de>"

/* includes for cw driver */

#include <linux/module.h>
#include <linux/fs.h>
#include <asm/segment.h>
#include <asm/uaccess.h>
#include <asm/io.h>
#include <linux/sched.h>

/* prototypes */

int cw_write () ;
void cw_beeper () ;
void cw_wait () ;
void cw_char ( char ) ;
void cw_short_beep () ;
void cw_long_beep () ;
void cw_short_wait () ;
void cw_long_wait () ;
void cw_very_long_wait () ;
int cw_read () ;
int cw_open () ;

/* file operations structure, only write is implemented here */

struct file_operations cw_fops = 
{
	NULL ,		/* lseek	*/
	cw_read ,	/* read		*/
	cw_write ,	/* write	*/
	NULL ,          /* readdir	*/
	NULL ,		/* select	*/
	NULL ,		/* ioctl	*/
	NULL ,		/* mmap		*/
	cw_open ,	/* open		*/
	NULL ,		/* release	*/
	NULL ,		/* fsync	*/
	NULL ,		/* fasync	*/
	NULL ,		/* media change */
	NULL		/* revalidate	*/
} ;
